1. Гость, мы просим Вас ознакомиться с Правилами Форума и Отказом от ответственности!

Результаты поиска

  1. deadraky
  2. deadraky
  3. deadraky
  4. deadraky
  5. deadraky
    Не совсем точно. В gs многопоточность устроена правильно, но её очень легко сломать сторонними модификациями, если тщательно не проконтролировать изменения. На OPW падал мир из-за моего личного косяка в реализации одного механизма, что приводило к дедлоку (подчеркну - по моей вине) и дальнейшему падению. ОС к этому отношения не имела и не должна иметь - ошибки в многопоточности = логические ошибки в коде. Я именно поэтому и отреагировал смайликом :^), так как не понял, о каких проблемах идёт речь. А на OPW смена ОС действительно была, но из-за проблем в линке/деливери. P.S. Я так, мимо проходил. Инициатива хорошая - плюс в карму за открытость. С этой ошибкой не только мы с тобой сталкивались, ну и обычные рядовые админы у которых модификаций по минимуму. Я даже знаю как её вызывать, ставишь ос debiab 9+ или ubuntu 18+, ставишь виртуалбокс и чистый сервер (версии 152-155) выделяешь под свою виртуалку больше половины ядер, и ставишь в gs.conf logic_threads=16+ . Затем заходишь в игру и получаешь эти самые зависания гс. Так-же если перекомпиллить гс на нормальнос ос, а не на федоре, то ошибка пропадает. А на CentOs 7 я не наблюдал этого бага.
    Сообщение от: deadraky, 12 май 2022 в разделе: PW Сервер
  6. deadraky
  7. deadraky
  8. deadraky
    Интересный пункт, надеюсь будет доступно не только для владельцев сборки купленной, а и другим желающим Да, ну будет только арендная помесячная плата. Насчёт полной продажи ещё не решил. Сборка будет привязываться к моему серверу лицензии как например RAE или PWAdmin, и по истечению сброка лицензии включить сборку будет уже не возможно. Так-же Я думаю будет тестовый период. Но со всеми подряд сотруднечать уже не буду. Небольшая рекомендация по поводу операционной системы и установки сервера: Используйте операционную систему CentOs 7 , она более близка к Fedora Core , благодаря этому вы сможете избежать некоторых багов( например с зависаниями гс , из-за неправильно оформленной многопоточности ). Пакеты по установке необходимых библиотек: yum update yum -y install https://rpms.remirepo.net/enterprise/remi-release-7.rpm yum -y install yum-utils yum-config-manager --enable remi-php74 yum update yum install epel-release yum install -y java-1.6.0-openjdk.x86_64 mono mc htop curl wget p7zip gdb ipset yum -y install perl-XML-DOM make gcc gcc-c++ libxml2-devel pcre-devel openssl-devel libxml2-devel.i686 pcre-devel.i686 openssl-devel.i686 libxml2.i686 libstdc++-devel.i686 libstdc++6.i686 glibc-devel.i686 glibc-devel libdb-cxx.i686 libdb-cxx-devel.i686 readline-devel readline-devel.i686 yum -y install perl-XML-DOM make gcc gcc-c++ libxml2-devel pcre-devel openssl-devel libxml2-devel pcre-devel openssl-devel libxml2 libstdc++-devel libstdc++6 glibc-devel glibc-devel libdb-cxx libdb-cxx-devel readline-devel readline-devel yum install php php-cli php-fpm php-mysqlnd php-zip php-devel php-gd php-mcrypt php-mbstring php-curl php-xml php-pear php-bcmath php-json yum install -y httpd systemctl enable httpd systemctl start httpd apt install -y mariadb-server mariadb-client apt policy mariadb-server mysql_secure_installation timedatectl set-timezone Europe/Moscow firewall-cmd --add-service={http,https} --permanent firewall-cmd --zone=public --add-port={31001,31002,31003,31004,32000}/tcp --permanent firewall-cmd --reload cd /tmp export VER="5.1.3" wget https://files.phpmyadmin.net/phpMyAdmin/${VER}/phpMyAdmin-${VER}-all-languages.tar.gz tar xvf phpMyAdmin-${VER}-all-languages.tar.gz rm phpMyAdmin*.gz mv phpMyAdmin-* /usr/share/phpmyadmin cp /usr/share/phpmyadmin/config.sample.inc.php /usr/share/phpmyadmin/config.inc.php ln -s /usr/share/phpmyadmin /var/www/html --- добавлено: May 10, 2022 12:10 PM --- ахахахах не качайте дебилы salitypw мне сам присылал скрины с моего компа все доки есть там вирусы и бэкдоры не ведитесь и не качайте я доказать могу Исходный код, на то и исходный код, что каждый желающий сможет зайти и посмотреть всё что он хочет. Просто теперь ваша скаммерская опг потеряла доход, вот вы и беситесь, потому-что новички теперь получат бесплатную сборку с кучей функционала и защитой. Вы не сможете больше их разводить на деньги и кошмарить.
    Сообщение от: deadraky, 10 май 2022 в разделе: PW Сервер
  9. deadraky
    Всем добрый вечер. Вот и пришло время выложить в шару свою старую, ну и по сей день актуальную работу. Во первых я хотел бы сказать спасибо всем тем кто покупал у меня сборку 1.5.5 , Я о вас не забыл, Вы будете получать от меня поддержку а со временем и обновление сборки до версии 1.5.7 с системой глифов(рун) и прочими интересными механиками. Во вторых мне не хотелось бы чтобы всякие варды, акрополи, дабианы и прочие паразиты продавали мою работу. Так как поддержку по серверу оказать они не могут, и если что-то случится то никто покупателю не поможет. В третьих новичкам сейчас очень сложно в этой сфере без нормальной сборки, и от части по этому сфера умирает, нужно поддержать сферу. И так теперь что входит в сборку: Защита от ООГ, ДДОС(через прокси нагрузка линка). Фиксы багов, дюпов, и прочих проблем. Описание есть тут - http://mmorpg-devs.ru/threads/Продам-сборку-1-5-5-nivalpw.20914/ Так-же я прикладываю исходный код сервисов, который вы сами сможете проверить на наличие бекдоров, дыр или ещё чего. Так-же у кого не будет получаться что-то установить, или понять что и как работает, можете обращаться в телеграмм (объясню что там и как в сборке бесплатно) - @segment32 Так-же пожалуйста опубликуйте эту тему на других форумах. ССЫЛКА - https://disk.yandex.ru/d/a14D8nRFqWEW2A
    Автор темы: deadraky, 9 май 2022, ответов - 19, в разделе: PW Сервер
  10. deadraky
  11. deadraky
  12. deadraky
  13. deadraky
  14. deadraky
  15. deadraky
  16. deadraky
  17. deadraky
  18. deadraky
  19. deadraky
  20. deadraky
    Поступая таким образом, Бола в итоге говорит нам, что он создал DX9, в то время как он этого не делал, и это была работа и код Стива, который я мог бы напрямую заплатить ему, и это было бы более надежно, поскольку я знаю его работу и доверяю ей. Если честно, эти функции уже есть на движке Angelica 2.2 , И дописать это на движок Angelica 2.0 не так уж и трудно, я думаю что Bola мог это сделать сам. Я не согласен, я считаю, что без реального знания или тестирования кода, который дал bola, нет абсолютно никакого способа узнать, находится ли он в стабильном состоянии. Я более чем счастлив показать вам код, но я определенно не буду предоставлять его вам. Это Ваше право, Я лишь хотел показать что код стабилен, и находится в рабочем состоянии, или опровергнуть это, не более. Сам я не использую компиляцию клиента, потому-что использую клиент от версии 1.6.2 или 1.7.2. А серверную часть использую 1.5.4 дописанную до версий выше.
    Сообщение от: deadraky, 28 янв 2022 в разделе: Общее